INCLUDES= $(PISOCK_INCLUDE) -I$(top_srcdir)/lib $(all_includes)

METASOURCES = AUTO

servicedir = $(kde_servicesdir)
service_DATA = null-conduit.desktop

kde_module_LTLIBRARIES = conduit_null.la


conduit_null_la_SOURCES = nullSettings.kcfgc setup_base.ui null-conduit.cpp null-factory.cpp
conduit_null_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) $(PISOCK_LIB) $(LIB_QT) -ltdecore -ltdeio -ltdeui
conduit_null_la_LIBADD = ../../lib/libkpilot.la $(LIB_TDEUI)

kde_kcfg_DATA = nullconduit.kcfg
